| Home | Libraries | People | FAQ | More

## Struct template const_cast_

boost::xpressive::op::const_cast_

## Synopsis

    template<typename T>
    struct const_cast_ {
      // types
      typedef T result_type;

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### `const_cast_` public member functions

1.     template<typename Value> T operator()(Value const & val) const;